VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IMultiBitmapControl Class Reference

interface for controls with sub images More...

Inheritance diagram for IMultiBitmapControl:

## Public Member Functions
virtual | ~IMultiBitmapControl ()
virtual void | setHeightOfOneImage (const CCoord &height)
virtual CCoord | getHeightOfOneImage () const
virtual void | setNumSubPixmaps (int32_t numSubPixmaps)
virtual int32_t | getNumSubPixmaps () const
virtual void | autoComputeHeightOfOneImage ()

## Protected Member Functions
| IMultiBitmapControl ()

## Protected Attributes
CCoord | heightOfOneImage
int32_t | subPixmaps

## Detailed Description

interface for controls with sub images

## Constructor & Destructor Documentation

virtual ~IMultiBitmapControl | ( |  | ) |
| inline virtual

IMultiBitmapControl | ( |  | ) |
| inline protected

## Member Function Documentation

void autoComputeHeightOfOneImage | ( |  | ) |
| virtual

virtual CCoord getHeightOfOneImage | ( |  | ) | const
| inline virtual

virtual int32_t getNumSubPixmaps | ( |  | ) | const
| inline virtual

virtual void setHeightOfOneImage | ( | const CCoord & | height | ) |
| inline virtual

Reimplemented in CAnimKnob.

virtual void setNumSubPixmaps | ( | int32_t | numSubPixmaps | ) |
| inline virtual

Reimplemented in CAnimKnob, CRockerSwitch, CKickButton, CAutoAnimation, CMovieButton, CSwitchBase, and CMovieBitmap.

## Member Data Documentation

CCoord heightOfOneImage
| protected

int32_t subPixmaps
| protected

The documentation for this class was generated from the following files:

- ccontrol.h
- ccontrol.cpp